Subject: Re: [PATCH] MAINTAINERS: Remove myself as EEH maintainer

From: Bjorn Helgaas <[email-masked]>
Date: Thu, 25 Aug 2022 15:03:10 -0500

On Sat, Aug 20, 2022 at 10:17:41AM +1000, Michael Ellerman wrote:
> Bjorn Helgaas <[email-masked]> writes:
> > On Sat, Aug 06, 2022 at 06:53:01PM +1000, Russell Currey wrote:
> >> I haven't touched EEH in a long time I don't have much knowledge of the
> >> subsystem at this point either, so it's misleading to have me as a
> >> maintainer.
> >> 
> >> I remain grateful to Oliver for picking up my slack over the years.
> >> 
> >> Signed-off-by: Russell Currey <[email-masked]>
> >> ---
> >>  MAINTAINERS | 1 -
> >>  1 file changed, 1 deletion(-)
> >> 
> >> diff --git a/MAINTAINERS b/MAINTAINERS
> >> index a9f77648c107..dfe6081fa0b3 100644
> >> --- a/MAINTAINERS
> >> +++ b/MAINTAINERS
> >> @@ -15639,7 +15639,6 @@ F:	drivers/pci/endpoint/
> >>  F:	tools/pci/
> >>  
> >>  PCI ENHANCED ERROR HANDLING (EEH) FOR POWERPC
> >> -M:	Russell Currey <[email-masked]>
> >>  M:	Oliver O'Halloran <[email-masked]>
> >>  L:	[email-masked]
> >>  S:	Supported
> >
> > I was thinking along these lines, but if you want to take this,
> > Michael, I'll drop it:
> 
> Hi Bjorn,
> 
> I was hoping one of the protagonists would send a patch :), but that
> looks perfect.

Waiting for that patch would have been the *smart* thing to do, but I
added your ack and put it on for-linus for v6.0.  Thanks!

> Acked-by: Michael Ellerman <[email-masked]>
> 
> cheers
> 
> > commit 92ea781689d1 ("MAINTAINERS: Add Mahesh J Salgaonkar as EEH maintainer")
> > Author: Russell Currey <[email-masked]>
> > Date:   Sat Aug 6 18:53:01 2022 +1000
> >
> >     MAINTAINERS: Add Mahesh J Salgaonkar as EEH maintainer
> >     
> >     Update EEH entry:
> >     
> >       - Russell: lacks time to maintain EEH.
> >     
> >       - Oliver: lacks time & hardware to do actual maintenance, but happy to
> >         field questions and review things.
> >     
> >       - Mahesh: glad to take over EEH maintenance.
> >     
> >     [bhelgaas: commit log, add Mahesh, make Oliver reviewer]
> >     Link: https://lore.kernel.org/r/[email-masked]
> >     Signed-off-by: Russell Currey <[email-masked]>
> >     Signed-off-by: Bjorn Helgaas <[email-masked]>
> >
> > diff --git a/MAINTAINERS b/MAINTAINERS
> > index f60dfac7661c..51def5ac9462 100644
> > --- a/MAINTAINERS
> > +++ b/MAINTAINERS
> > @@ -15696,8 +15696,8 @@ F:	drivers/pci/endpoint/
> >  F:	tools/pci/
> >  
> >  PCI ENHANCED ERROR HANDLING (EEH) FOR POWERPC
> > -M:	Russell Currey <[email-masked]>
> > -M:	Oliver O'Halloran <[email-masked]>
> > +M:	Mahesh J Salgaonkar <[email-masked]>
> > +R:	Oliver O'Halloran <[email-masked]>
> >  L:	[email-masked]
> >  S:	Supported
> >  F:	Documentation/PCI/pci-error-recovery.rst